import { RawEntryPluginOptions } from "@rspack/binding";
import { BuiltinPluginName } from "./base";
import { ChunkLoading, EntryRuntime, Filename, LibraryOptions, PublicPath } from "../config";
export type EntryOptions = {
    name?: string;
    runtime?: EntryRuntime;
    chunkLoading?: ChunkLoading;
    asyncChunks?: boolean;
    publicPath?: PublicPath;
    baseUri?: string;
    filename?: Filename;
    library?: LibraryOptions;
};
export declare const EntryPlugin: {
    new (context: string, entry: string, options?: string | EntryOptions | undefined): {
        name: BuiltinPluginName;
        _options: RawEntryPluginOptions;
        affectedHooks: "emit" | "done" | "compilation" | "make" | "compile" | "afterEmit" | "invalid" | "thisCompilation" | "afterDone" | "normalModuleFactory" | "contextModuleFactory" | "initialize" | "shouldEmit" | "infrastructureLog" | "beforeRun" | "run" | "assetEmitted" | "failed" | "shutdown" | "watchRun" | "watchClose" | "environment" | "afterEnvironment" | "afterPlugins" | "afterResolvers" | "beforeCompile" | "afterCompile" | "finishModules" | "finishMake" | "entryOption" | undefined;
        raw(): import("@rspack/binding").BuiltinPlugin;
        apply(compiler: import("../Compiler").Compiler): void;
    };
};
//# sourceMappingURL=EntryPlugin.d.ts.map