"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntryPlugin = void 0;
const base_1 = require("./base");
const config_1 = require("../config");
const util_1 = require("../util");
exports.EntryPlugin = (0, base_1.create)(base_1.BuiltinPluginName.EntryPlugin, (context, entry, options = "") => {
    let entryOptions = typeof options === "string" ? { name: options } : options;
    return {
        context,
        entry,
        options: getRawEntryOptions(entryOptions)
    };
});
function getRawEntryOptions(entry) {
    const runtime = entry.runtime;
    const chunkLoading = entry.chunkLoading;
    return {
        name: entry.name,
        publicPath: entry.publicPath,
        baseUri: entry.baseUri,
        runtime: !(0, util_1.isNil)(runtime) ? (0, config_1.getRawEntryRuntime)(runtime) : undefined,
        chunkLoading: !(0, util_1.isNil)(chunkLoading)
            ? (0, config_1.getRawChunkLoading)(chunkLoading)
            : undefined,
        asyncChunks: entry.asyncChunks,
        filename: entry.filename,
        library: entry.library && (0, config_1.getRawLibrary)(entry.library)
    };
}
//# sourceMappingURL=EntryPlugin.js.map