import { RawSourceMapDevToolPluginOptions } from "@rspack/binding";
import { BuiltinPluginName } from "./base";
/**
 * Include source maps for modules based on their extension (defaults to .js and .css).
 */
type Rules = Rule[] | Rule;
/**
 * Include source maps for modules based on their extension (defaults to .js and .css).
 */
type Rule = RegExp | string;
export interface SourceMapDevToolPluginOptions extends Omit<RawSourceMapDevToolPluginOptions, "test" | "include" | "exclude"> {
    exclude?: Rules;
    include?: Rules;
    test?: Rules;
}
export declare const SourceMapDevToolPlugin: {
    new (options: SourceMapDevToolPluginOptions): {
        name: BuiltinPluginName;
        _options: RawSourceMapDevToolPluginOptions;
        affectedHooks: "emit" | "done" | "compilation" | "make" | "compile" | "afterEmit" | "invalid" | "thisCompilation" | "afterDone" | "normalModuleFactory" | "contextModuleFactory" | "initialize" | "shouldEmit" | "infrastructureLog" | "beforeRun" | "run" | "assetEmitted" | "failed" | "shutdown" | "watchRun" | "watchClose" | "environment" | "afterEnvironment" | "afterPlugins" | "afterResolvers" | "beforeCompile" | "afterCompile" | "finishModules" | "finishMake" | "entryOption" | undefined;
        raw(): import("@rspack/binding").BuiltinPlugin;
        apply(compiler: import("../Compiler").Compiler): void;
    };
};
export {};
//# sourceMappingURL=SourceMapDevToolPlugin.d.ts.map